
class Module

  # There's a school of thought that says an attribute
  # show always have a reader and a writer.
  #
  #--
  # NOAUTO
  #++
  def attr(*args)
    args.pop unless args.last.is_a?(Symbol) or args.last.is_a?(String)
    attr_accessor *args
    args.collect{ |a| [ "#{a}".to_sym, "#{a}=".to_sym ] }.flatten
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# TODO
